> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/annotation/annotation-default-properties.md).

# Setting default annotation properties in iOS viewer

Create annotations with ease using default properties in your app. Learn how to set and save default colors for different annotation types. Find out more here! The Apryse iOS SDK streamlines secure do

When creating a new annotation, the initial properties (such as line thickness, fill colour, opacity, etc.) are set to the last value that the user selected for an annotation of that type. For example, if the user changes an ellipse annotation's stroke color from green to red, the next ellipse annotation that the user creates would have a stroke color of red. These default colors are saved in the app's [user default dictionary](https://developer.apple.com/foundation/userdefaults/1416603-standard/).

The tools read and write values via the `Tools.framework`[`PTColorDefaults`](https://sdk.apryse.com/api/ios/Classes/PTColorDefaults.html) type (class) interface.

It is possible to use this interface from outside of the tools framework itself, and you could do so based on events within your app or when [notified of certain events](/ios/annotation/tool-manager-events.md) by the [`PTToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html).

### Examples

Sets the default stroke color for rectangle annotations.

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
PTColorDefaults.setDefaultColor(UIColor.green, forAnnotType: e_ptSquare, attribute: ATTRIBUTE_STROKE_COLOR, colorPostProcessMode: e_ptpostprocess_none)
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[PTColorDefaults setDefaultColor:[UIColor greenColor] forAnnotType:e_ptSquare attribute:ATTRIBUTE_STROKE_COLOR colorPostProcessMode:e_ptpostprocess_none];
```

{% endcode %}
{% endtab %}
{% endtabs %}

Reads the default fill color for ellipse annotations.

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let fillColor = PTColorDefaults.defaultColor(forAnnotType: e_ptCircle, attribute: ATTRIBUTE_FILL_COLOR, colorPostProcessMode: pdfViewCtrl.getColorPostProcessMode())
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
UIColor* fillColor = [PTColorDefaults defaultColorForAnnotType:e_ptCircle attribute:ATTRIBUTE_FILL_COLOR colorPostProcessMode:[self.pdfViewCtrl GetColorPostProcessMode]];
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/annotation/annotation-default-properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
